VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Enumerations
ivstmidicontrollers.h File Reference

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
| All VST specific interfaces are located in Vst namespace.

## Enumerations
enum | ControllerNumbers { kCtrlBankSelectMSB = 0 , kCtrlModWheel = 1 , kCtrlBreath = 2 , kCtrlFoot = 4 , kCtrlPortaTime = 5 , kCtrlDataEntryMSB = 6 , kCtrlVolume = 7 , kCtrlBalance = 8 , kCtrlPan = 10 , kCtrlExpression = 11 , kCtrlEffect1 = 12 , kCtrlEffect2 = 13 , kCtrlGPC1 = 16 , kCtrlGPC2 = 17 , kCtrlGPC3 = 18 , kCtrlGPC4 = 19 , kCtrlBankSelectLSB = 32 , kCtrlDataEntryLSB = 38 , kCtrlSustainOnOff = 64 , kCtrlPortaOnOff = 65 , kCtrlSustenutoOnOff = 66 , kCtrlSoftPedalOnOff = 67 , kCtrlLegatoFootSwOnOff = 68 , kCtrlHold2OnOff = 69 , kCtrlSoundVariation = 70 , kCtrlFilterCutoff = 71 , kCtrlReleaseTime = 72 , kCtrlAttackTime = 73 , kCtrlFilterResonance = 74 , kCtrlDecayTime = 75 , kCtrlVibratoRate = 76 , kCtrlVibratoDepth = 77 , kCtrlVibratoDelay = 78 , kCtrlSoundCtrler10 = 79 , kCtrlGPC5 = 80 , kCtrlGPC6 = 81 , kCtrlGPC7 = 82 , kCtrlGPC8 = 83 , kCtrlPortaControl = 84 , kCtrlEff1Depth = 91 , kCtrlEff2Depth = 92 , kCtrlEff3Depth = 93 , kCtrlEff4Depth = 94 , kCtrlEff5Depth = 95 , kCtrlDataIncrement = 96 , kCtrlDataDecrement = 97 , kCtrlNRPNSelectLSB = 98 , kCtrlNRPNSelectMSB = 99 , kCtrlRPNSelectLSB = 100 , kCtrlRPNSelectMSB = 101 , kCtrlAllSoundsOff = 120 , kCtrlResetAllCtrlers = 121 , kCtrlLocalCtrlOnOff = 122 , kCtrlAllNotesOff = 123 , kCtrlOmniModeOff = 124 , kCtrlOmniModeOn = 125 , kCtrlPolyModeOnOff = 126 , kCtrlPolyModeOn = 127 , kAfterTouch = 128 , kPitchBend = 129 , kCountCtrlNumber , kCtrlProgramChange = 130 , kCtrlPolyPressure = 131 , kCtrlQuarterFrame = 132 }
| Controller Numbers (MIDI) More...

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.